@import url('/css/open-iconic/font/css/open-iconic-bootstrap.min.css');

@font-face {
    font-family: 'softtec-schrift-regular';
    src: url('/css/Montserrat-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'softtec-schrift-bold';
    src: url('/css/Montserrat-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'softtec-schrift-light';
    src: url('/css/Montserrat-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'softtec-schrift-medium';
    src: url('/css/Montserrat-Medium.ttf') format('truetype');
}

@font-face {
    font-family: 'softtec-schrift-semibold';
    src: url('/css/Montserrat-SemiBold.ttf') format('truetype');
}

.font-regular {
    font-family: softtec-schrift-regular, Helvetica, Arial, sans-serif;
}

.font-light {
    font-family: softtec-schrift-light, Helvetica, Arial, sans-serif;
}

.font-medium {
    font-family: softtec-schrift-medium, Helvetica, Arial, sans-serif;
}

.font-semibold {
    font-family: softtec-schrift-semibold, Helvetica, Arial, sans-serif;
}

.font-bold {
    font-family: softtec-schrift-bold, Helvetica, Arial, sans-serif;
}

.icon {
    height: 20px;
    width: 20px;
    background-repeat: no-repeat;
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    -webkit-mask-size: 20px;
    mask-size: 20px;
    display: inline-block;
    min-width: 20px;
}

.icon-small {
    height: 13px;
    width: 13px;
    background-repeat: no-repeat;
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    -webkit-mask-size: 13px;
    mask-size: 13px;
    display: inline-block;
    min-width: 13px;
}

.icon-menu {
    /*-webkit-mask-image: url(/css/Icons/menu.svg);
    mask-image: url(/css/Icons/menu.svg);
    background-color: var(--color-font-header-cart);*/
    background-image: var(--icon-menu);
    height: 35px;
    width: 35px;
    -webkit-mask-size: 35px;
    mask-size: 35px;
    min-width: 35px;
}

.icon-close {
    /*-webkit-mask-image: url(/css/Icons/Close.svg);
    mask-image: url(/css/Icons/Close.svg);
    background-color: var(--color-font-cart);*/
    background-image: var(--icon-close);
}

.icon-cart {
    /*-webkit-mask-image: url(/css/Icons/basket.svg);
    mask-image: url(/css/Icons/basket.svg);
    background-color: var(--color-font-header-cart);*/
    background-image: var(--icon-cart);
}

.icon-bed {
    /*-webkit-mask-image: url(/css/Icons/bed.svg);
    mask-image: url(/css/Icons/bed.svg);
    background-color: var(--color-font-cart);*/
    background-image: var(--icon-bed);
}

.icon-edit {
    /*-webkit-mask-image: url(/css/Icons/edit.svg);
    mask-image: url(/css/Icons/edit.svg);
    background-color: var(--color-font-cart);*/
    background-image: var(--icon-edit);
}

.icon-person-cart {
    /*-webkit-mask-image: url(/css/Icons/person.svg);
    mask-image: url(/css/Icons/person.svg);
    background-color: var(--color-font-cart);*/
    background-image: var(--icon-personCart);
}

.icon-child {
    /*-webkit-mask-image: url(/css/Icons/baby-boy.svg);
    mask-image: url(/css/Icons/baby-boy.svg);
    background-color: var(--color-dark-grey);*/
    background-image: var(--icon-child);
}

.icon-person {
    /*-webkit-mask-image: url(/css/Icons/person.svg);
    mask-image: url(/css/Icons/person.svg);
    background-color: var(--color-dark-grey);*/
    background-image: var(--icon-person);
}

.icon-arrival {
    /*-webkit-mask-image: url(/css/Icons/login.svg);
    mask-image: url(/css/Icons/login.svg);
    background-color: var(--color-font-cart);*/
    background-image: var(--icon-arrival);
}

.icon-departure {
    /*-webkit-mask-image: url(/css/Icons/logout.svg);
    mask-image: url(/css/Icons/logout.svg);
    background-color: var(--color-font-cart);*/
    background-image: var(--icon-departure);
}

.icon-duration {
    /*-webkit-mask-image: url(/css/Icons/clockwise.svg);
    mask-image: url(/css/Icons/clockwise.svg);
    background-color: var(--color-dark-grey);*/
    background-image: var(--icon-duration);
}

.icon-arrowDetail {
    /*-webkit-mask-image: url(/css/Icons/arrow-circle.svg);
    mask-image: url(/css/Icons/arrow-circle.svg);
    background-color: var(--color-font-header-rate);*/
    background-image: var(--icon-arrowDetail)
}

.icon-arrowCircle {
    /*-webkit-mask-image: url(/css/Icons/arrow-circle.svg);
    mask-image: url(/css/Icons/arrow-circle.svg);
    background-color: var(--color-font-header-rate);*/
    background-image: var(--icon-arrow)
}

.icon-dotCircle {
    /*-webkit-mask-image: url(/css/Icons/dot-circle.svg);
    mask-image: url(/css/Icons/dot-circle.svg);
    background-color: var(--color-light-blue-sidebar);*/
    background-image: var(--icon-dotCircle);
}

.icon-bedingungen {
    /*-webkit-mask-image: url(/css/Icons/Bedingungen.svg);
    mask-image: url(/css/Icons/Bedingungen.svg);
    background-color: var(--color-dark-blue);*/
    background-image: var(--icon-bedingungen);
}

.icon-produktblatt {
    /*-webkit-mask-image: url(/css/Icons/Produktblatt.svg);
    mask-image: url(/css/Icons/Produktblatt.svg);
    background-color: var(--color-dark-blue);*/
    background-image: var(--icon-produktblatt);
}

html, body {
    font-family: softtec-schrift-regular, Helvetica, Arial, sans-serif;
    font-size: 14pt;
    background-color: transparent;
}

a, .btn-link {
    color: var(--color-link);
}

label {
    margin-bottom: 0 !important;
}

hr {
    border-top: 1px solid var(--color-font-cart);
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    /*padding-top: 1.1rem;*/
    /*height: 100vh;*/
    background-color: var(--color-light-blue);
    height: 100%;
}

/*.content > form > div {
        box-shadow: 0px 0px 5px 0px var(--color-box-shadow)
    }*/

/*.valid.modified:not([type=checkbox]) {
    outline: 1px solid var(--color-validation-green);
}*/

input[type="checkbox"].invalid {
    outline: 1px solid var(--color-validation-red);
    outline-style: auto;
}

button:focus, button:focus-visible {
    outline: 2px solid var(--color-border-white);
}

.invalid {
    color: var(--color-validation-red) !important;
}

input.invalid:-moz-placeholder, input.invalid::-moz-placeholder, input.invalid:-ms-input-placeholder, input.invalid::-webkit-input-placeholder {
    color: var(--color-validation-red) !important;
}

.invalid::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: var(--color-validation-red) !important;
    opacity: 1; /* Firefox */
}

.invalid:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: var(--color-validation-red) !important;
}

.invalid::-ms-input-placeholder { /* Microsoft Edge */
    color: var(--color-validation-red) !important;
}

.validation-message {
    color: var(--color-validation-red);
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

input[type="date"]::-webkit-calendar-picker-indicator {
    filter: var(--color-html-icon);
}

::-webkit-scrollbar-thumb {
    border-radius: 50px;
    background-color: var(--color-blue);
}

::-webkit-scrollbar {
    width: 15px;
    background-color: white;
    border-radius: 50px;
}

.card-show {
    padding-right: 330px;
    padding-left: 75px;
}

.card-collapse {
    padding-right: unset;
    padding-left: 75px;
}

@media (max-width: 970px) {
    .card-show {
        padding-right: unset;
    }
}

@media (max-width: 600px) {
    .card-show, .card-collapse {
        padding-left: unset;
    }
}

.bookable {
    position: relative;
    color: #454545 !important
}

    .bookable:after {
        content: "";
        position: absolute;
        width: 0;
        height: 0;
        display: block;
        border-bottom: 10px solid #0a690a;
        border-top: 9px solid transparent;
        opacity: .7;
        bottom: 2px;
        right: 0;
        border-right: 10px solid transparent;
        left: 2px;
    }

.notBookable {
    opacity: .2;
    background-clip: content-box;
}

    .notBookable > a {
        color: inherit !important;
        background-color: inherit !important;
    }

.noArrival, .noDeparture {
    position: relative;
    color: #454545 !important
}

    .noArrival:after, .noDeparture:after {
        content: "";
        position: absolute;
        width: 0;
        height: 0;
        display: block;
        border-bottom: 10px solid #c44340;
        border-top: 9px solid transparent;
        opacity: .7;
        bottom: 2px;
    }

    .noArrival:after {
        right: 0;
        border-right: 10px solid transparent;
        left: 1px;
    }

    .noDeparture:after {
        right: 1px;
        border-left: 10px solid transparent;
    }

.ui-datepicker-mouseover1 > a {
    background-color: #b2b2b2 !important;
    color: #ffffff !important;
}

.ui-datepicker {
    background: #ffffff;
}

    .ui-datepicker td a {
        padding-right: 7px;
    }

@media only screen and (max-width: 300px) {
    .ui-datepicker {
        left: 0 !important;
    }
}

@media only screen and (max-width: 240px) {
    .ui-datepicker {
        width: auto !important;
    }
}